"use strict";

    this.name    = "Docked_HUDs_start_sequence";
 // this.name    = "start";
    this.version = "1.3";

    this._startUpHUD = "docked-start-sequence-hud.plist";
    this._onceOnly = true;

/* ========================================================
			
    The sequence (takes 11.4 seconds):

=========================================================== */

    this._theSequence = function _theSequence () {
        "use strict";
        this._step++;
        if (this._step == 1) {
            player.ship.setCustomHUDDial("functionKey1", "Main Power");
            player.ship.setCustomHUDDial("dockedWelcome", "Welcome aboard...");
            return;
        } else if (this._step == 2) {
            player.ship.setCustomHUDDial("functionKey2", "Pilot Aboard");
            return;
        } else if (this._step == 3) {
            worldScripts.Docked_HUDs_data_sources._selectF5Text();
            player.ship.setCustomHUDDial("dockedWelcome", "Welcome aboard, Commander.");
            return;
        } else if (this._step == 4) {
            worldScripts.Docked_HUDs_data_sources._selectF6Text();
            return;
        } else if (this._step == 5) {
            worldScripts.Docked_HUDs_data_sources._selectF7Text();
            return;
        } else if (this._step == 6) {
            worldScripts.Docked_HUDs_data_sources._selectF8Text();
            return;
        } else if (this._step == 7) {
            worldScripts.Docked_HUDs_data_sources._selectF3Text();
            player.ship.setCustomHUDDial("dockedWelcome", ""); // How to remove?
            return;
        } else if (this._step == 8) {
            worldScripts.Docked_HUDs_data_sources._selectF4Text();
            return;
        } else if (this._step > 8) {
            worldScripts.Docked_HUDs_data_sources._selectF1Text();
            worldScripts.Docked_HUDs_data_sources._selectF2Text();
            worldScripts.Docked_HUDs._selectDockedHUD();
            this._abortSequence();
            return;
        }
    }

    this._abortSequence = function () {
        "use strict";
        if (this._sequenceTimer) {
            this._sequenceTimer.stop();
            delete this._sequenceTimer;
        }
        if (this._onceOnly) {
            for (prop in worldScripts[this.name]) {
                if (prop !== "oolite_manifest_identifier" &&
                    prop !== "name" && prop !== "version") {
                    delete worldScripts[this.name][prop];
                }
            }
            this.version = "Run once only";
        }
    }

/* ========================================================
			EVENT LISTENERS
=========================================================== */

    this.guiScreenChanged = function (to, from) {
        "use strict";
        if (from === "GUI_SCREEN_LOAD") {
            var self = player.ship;
            var setDial = self.setCustomHUDDial;
            for (var i = 1; i < 9; i++) {
                setDial("functionKey" + i, "");
            }
            self.hud = this._startUpHUD;
            self.hudHidden = false;
            this._step = 0;
            this._sequenceTimer = new Timer(this, _theSequence.bind(this), 1, 1.3);
        }
        if (to === "GUI_SCREEN_OPTIONS") {
            this._abortSequence();
        }
    }

    this.shipWillLaunchFromStation = function () {
        "use strict";
        this._abortSequence();
    }

    this.gamePaused = function () {
        "use strict";
        this._abortSequence();
    }

/* ========================================================
			THE END
=========================================================== */
